return {
  'simrat39/rust-tools.nvim',
  ft = 'rust',
  config = function()
    require('rust-tools').setup {
      tools = {
        runnables = {
          use_telescope = true,
          hover_wtih_actions = true,
        },
        hover_actions = {
          auto_focus = true,
        },
        dap = {
          adapter = {
            type = 'executable',
            command = 'lldb-vscode',
            name = 'rt_lldb',
          },
        },
      },
      server = {
        capabilities = require('cmp_nvim_lsp').default_capabilities(),
        on_attach = function(_, bufnr)
          vim.keymap.set('n', '<Leader>k', require('rust-tools').hover_actions.hover_actions, { buffer = bufnr })
          vim.keymap.set(
            'n',
            '<Leader>a',
            require('rust-tools').code_action_group.code_action_group,
            { buffer = bufnr }
          )
        end,
        settings = {
          ['rust-analyzer'] = {
            checkOnSave = {
              command = 'clippy',
            },
            diagnostics = {
              experimental = {
                enable = true,
              },
            },
          },
        },
      },
    }
  end,
}
